Page MenuHome

Masking: Toggle cyclic on Ctrl-Click on initial vertex
ClosedPublic

Authored by Sergey Sharybin (sergey) on Oct 31 2019, 4:46 PM.
Tags
None
Subscribers
None
Tokens
"Love" token, awarded by craig_jones."Love" token, awarded by davidmcsween."Like" token, awarded by fin.eskimo."Love" token, awarded by jayrajkharvadi."Like" token, awarded by EAW.

Details

Summary

This change replaces old behavior when spline was toggled as cyclic
on double-click.

Doing so was tricky on a tablet and is rather non-intuitive in general.

Diff Detail

Repository
rB Blender
Branch
masking (branched from master)
Build Status
Buildable 5512
Build 5512: arc lint + arc unit

Event Timeline

Just tried it, and so far it works really great!
The icing on the cake would be, if the cursor would change its shape once you hover the mouse over the area, where a click would close the mask.
But I think that would only even start to matter when the tools are being transformed to the new tool system.
Great improvement!

That is an interesting suggestion! But indeed it only fits a tool system: currently it is not possible to know what user's intention (the add vertex and close mask is fire-and-forget operations running from a keymap).

Will commit this change soon.

Evan Wilson (EAW) retitled this revision from Nasking: Toggle cyclic on Ctrl-Click on initial vertex to Masking: Toggle cyclic on Ctrl-Click on initial vertex.Nov 1 2019, 5:51 PM
Evan Wilson (EAW) awarded a token.
This revision was not accepted when it landed; it landed in state Needs Review.Nov 4 2019, 2:06 PM
This revision was automatically updated to reflect the committed changes.